> For the complete documentation index, see [llms.txt](https://docs.commercelayer.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.commercelayer.io/core-api-reference/talon_one_accounts.md).

# Talon one accounts

The Talon.One account object and the allowed CRUD operations on the related resource endpoint

Configure your [Talon.One](https://www.talon.one/) account and set it as the [discount engine](https://github.com/commercelayer/commercelayer-docs-resources/blob/master/talon_one_accounts/\(../discount_engines/\)/README.md) (Commerce Layer Core discount engine will be autoamatically disabled).

The `options` attribute lets you pass custom options that get merged into the [customer session](https://docs.talon.one/docs/dev/concepts/entities/customer-sessions) request sent to Talon.One, e.g. `storeIntegrationId`.

{% hint style="warning" %}
It is the client's responsibility to ensure any option passed is supported by Talon.One: an unsupported option that causes the session creation to fail is not handled by Commerce Layer.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.commercelayer.io/core-api-reference/talon_one_accounts.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
